Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
[Java] Class SimpleCompletor

    java.lang.Object
      jline.SimpleCompletor
          org.codehaus.groovy.tools.shell.util.SimpleCompletor

    public class SimpleCompletor
    extends jline.SimpleCompletor

Support for simple completors.

Authors:
  Jason Dillon

Version:
  \$Id\$

Constructor Summary
`SimpleCompletor(java.lang.String[] candidates)`
`SimpleCompletor()`
`SimpleCompletor(Closure loader)`

Method Summary
`void` | `add(java.lang.String candidate)`
`int` | `complete(java.lang.String buffer, int cursor, java.util.List clist)`
`java.lang.Object` | `leftShift(java.lang.String s)`

Methods inherited from class jline.SimpleCompletor
jline.SimpleCompletor#clone(), jline.SimpleCompletor#complete(java.lang.String, int, java.util.List), jline.SimpleCompletor#getCandidates(), jline.SimpleCompletor#getDelimiter(), jline.SimpleCompletor#setCandidates(java.util.SortedSet), jline.SimpleCompletor#setCandidateStrings([Ljava.lang.String;), jline.SimpleCompletor#addCandidateString(java.lang.String), jline.SimpleCompletor#setDelimiter(java.lang.String), jline.SimpleCompletor#wait(long), jline.SimpleCompletor#wait(long, int), jline.SimpleCompletor#wait(), jline.SimpleCompletor#equals(java.lang.Object), jline.SimpleCompletor#toString(), jline.SimpleCompletor#hashCode(), jline.SimpleCompletor#getClass(), jline.SimpleCompletor#notify(), jline.SimpleCompletor#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleCompletor

    public SimpleCompletor(java.lang.String[] candidates)

### SimpleCompletor

    public SimpleCompletor()

### SimpleCompletor

    public SimpleCompletor(Closure loader)

Method Detail

### add

    public void add(java.lang.String candidate)

### complete

    public int complete(java.lang.String buffer, int cursor, java.util.List clist)

### leftShift

    public java.lang.Object leftShift(java.lang.String s)

Groovy Documentation